# Retrieve Logging Pipeline Information

To retrieve your logging pipeline information, you need the ID of the respective pipeline.

## Request

The following is a sample request. Remember to replace the `{pipelineID}` with a valid ID of the specific pipeline whose information you want to access.

```bash
curl --location \
--request GET 'https://logging.de-txl.ionos.com/pipelines/{pipelineID}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $TOKEN'
```

## Response

If your request is successful, you will receive the relevant information on a `Ready` pipeline.

```json
{
  "id": "123-5e72-4c48-b28e-4567",
  "type": "Pipeline",
  "metadata": {
    "createdDate": "2023-05-15T08:24:20Z",
    "createdBy": "clientname@ionos.com",
    "createdByUserId": "2895",
    "createdByUserUuid": "3423-2ad6-4826-b12f-3245",
    "lastModifiedDate": "",
    "lastModifiedBy": "",
    "lastModifiedByUserId": "",
    "lastModifiedByUserUuid": "",
    "status": "Ready"
  },
  "properties": {
    "name": "demo",
    "logs": [
      {
        "public": true,
        "source": "docker",
        "tag": "dock",
        "destinations": [
          {
            "type": "loki"
          }
        ],
        "protocol": "tcp",
        "status": "Ready"
      },
      {
        "public": true,
        "source": "kubernetes",
        "tag": "k8s",
        "destinations": [
          {
            "type": "loki"
          }
        ],
        "protocol": "tcp",
        "status": "Ready"
      }
    ],
    "tcpAddress": "tcp-abcd-logs.defg.logging.de-txl.ionos.com:9000",
    "httpAddress": "",
    "grafanaAddress": "grafana.logging.de-txl.ionos.com"
  }
}
```

To access logs using Fluent Bit, you need the following information:

| **Field**     | **Usage**                                                                                                            |
| ------------- | -------------------------------------------------------------------------------------------------------------------- |
| `tcpAddress`  | Set the `TCP` log server address during Fluent Bit configuration.                                                    |
| `httpAddress` | Set the `HTTP` log server address during Fluent Bit configuration.                                                   |
| `tag`         | Set the `tag` during Fluent Bit configuration. Remember to use the same tag you defined while creating the pipeline. |

{% hint style="info" %}
**Note:** A key is necessary to send logs through the newly formed logging pipeline. For more information about obtaining a key, see [<mark style="color:blue;">Obtain a New Key</mark>](/cloud/observability/logging-service/api-how-tos/obtain-key.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/observability/logging-service/api-how-tos/retrieve-logging-pipeline-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
